%
% Copyright (C) 2015 Stefano Boccelli <dainonottambulo -at- gmail.com>
% 
% This program is part of Qsci, which is free software: 
% you can redistribute it and/or modify it under the terms of 
% the GNU Lesser General Public License as published by the 
% Free Software Foundation (version 3 of the License).
%
% Qsci is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  
% If not, see <http://www.gnu.org/licenses/>.
%






% This is the input file


sups = {};


% ===============================================
%                  SURFACE 1
% ===============================================

sups(1).type          = 'sphere';
sups(1).Rad           = 0.6;
sups(1).xyz           = [-1,1,1];
sups(1).nth           = 20;
sups(1).nphi          = 40;
sups(1).V             = 5;      % Volts

% ===============================================
%                  SURFACE 2
% ===============================================

sups(2).type          = 'sphere';
sups(2).Rad           = 1.4;
sups(2).xyz           = [-4,2,-1];
sups(2).nth           = 20;
sups(2).nphi          = 40;
sups(2).V             = 5;      % Volts

% ===============================================
%                  SURFACE 3
% ===============================================

sups(3).type          = 'plane';
sups(3).x1min         = -5;
sups(3).x1max         = 5;
sups(3).x2min         = -3;
sups(3).x2max         = 4;
sups(3).x3val         = 0;
sups(3).n1            = 30;
sups(3).n2            = 20;
sups(3).orient        = 'yz'; 
sups(3).d_cc          = 0.1;
sups(3).V             = 10;


% ===============================================
%                  PLOTTING
% ===============================================

sups(1).plot_me_alone = 1;
sups(2).plot_me_alone = 1;

plotField.xorig = -0.5;
plotField.yorig = 2;
plotField.zorig = -1;

plotField.Lx    = -5;
plotField.Ly    = -5;
plotField.Lz    = 5;

plotField.nx    = 100;
plotField.ny    = 105;
plotField.nz    = 130;


% ===============================================
%                  EXPORTING
% ===============================================

exportVTK.xmin = -5;
exportVTK.xmax = 5;
exportVTK.ymin = -5;
exportVTK.ymax = 5;
exportVTK.zmin = -5;
exportVTK.zmax = 5;
