%
% Copyright (C) 2015 Stefano Boccelli <dainonottambulo -at- gmail.com>
% 
% This program is part of Qsci, which is free software: 
% you can redistribute it and/or modify it under the terms of 
% the GNU Lesser General Public License as published by the 
% Free Software Foundation (version 3 of the License).
%
% Qsci is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  
% If not, see <http://www.gnu.org/licenses/>.
%








% This is the input file



% ===============================================
%                  SURFACES
% ===============================================

% ---------- Surface 3 ----------
sups(1).type          = 'plane';
sups(1).x1min         = -5;
sups(1).x1max         = 5;
sups(1).x2min         = -5;
sups(1).x2max         = 5;
sups(1).x3val         = 0;
sups(1).n1            = 30;
sups(1).n2            = 30;
sups(1).orient        = 'yz'; 
sups(1).V             = 2;
sups(1).Q             = 20;   % insert the value Q * epsilon0!

% ---------- Surface 3 ----------
sups(2).type          = 'plane';
sups(2).x1min         = -5;
sups(2).x1max         = 5;
sups(2).x2min         = -5;
sups(2).x2max         = 5;
sups(2).x3val         = 0.5;
sups(2).n1            = 30;
sups(2).n2            = 30;
sups(2).orient        = 'yz'; 
sups(2).V             = 'free';
sups(2).Q             = 20;   % insert the value Q * epsilon0!


% ===============================================
%              PLOTTING PARAMETERS
% ===============================================

sups(1).plot_me_alone = 1;
sups(2).plot_me_alone = 1;

sups(1).plot_normals = 0;
sups(2).plot_normals = 0;

plotField.xorig = -4;
plotField.yorig = 2;
plotField.zorig = -1;

plotField.Lx    = 10;
plotField.Ly    = -10;
plotField.Lz    = 5;

plotField.nx    = 102;
plotField.ny    = 103;
plotField.nz    = 10;

plotField.plotPotential = 1;
plotField.plotElectricField = 0;


% ===============================================
%              CAPACITIVE CALCULATION
% ===============================================

capacityCalc.computeCapacities = 1;


% ===============================================
%              EXPORTING PARAMETERS
% ===============================================

exportVTK.xmin = -5;
exportVTK.xmax = 5;
exportVTK.ymin = -5;
exportVTK.ymax = 5;
exportVTK.zmin = -5;
exportVTK.zmax = 5;
