%
% Copyright (C) 2015 Stefano Boccelli <dainonottambulo -at- gmail.com>
% 
% This program is part of Qsci, which is free software: 
% you can redistribute it and/or modify it under the terms of 
% the GNU Lesser General Public License as published by the 
% Free Software Foundation (version 3 of the License).
%
% Qsci is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  
% If not, see <http://www.gnu.org/licenses/>.
%








% This is the input file



% ===============================================
%                  SURFACES
% ===============================================


% ---------- Surface 1 ----------
sups(1).type          = 'wire';
sups(1).Rad           = 1;
sups(1).xyz           = [0,0,0];
sups(1).nth           = 100;
sups(1).vers          = [0,0,1];
sups(1).V             = -5;


% ---------- Surface 2 ----------
sups(2).type          = 'wire';
sups(2).Rad           = 1.02;
sups(2).xyz           = [0,0,0];
sups(2).nth           = 100;
sups(2).vers          = [0,1,0];
sups(2).V             = -5;


% ---------- Surface 3 ----------
sups(3).type          = 'wire';
sups(3).Rad           = 0.98;
sups(3).xyz           = [0,0,0];
sups(3).nth           = 100;
sups(3).vers          = [1,0,0];
sups(3).V             = -5;



% ===============================================
%              PLOTTING PARAMETERS
% ===============================================

sups(1).plot_me_alone = 1;
sups(2).plot_me_alone = 1;
sups(3).plot_me_alone = 1;

sups(1).plot_normals = 1;
sups(2).plot_normals = 1;
sups(3).plot_normals = 1;

plotField.xorig = -0.5;
plotField.yorig = 0;
plotField.zorig = 0;

plotField.Lx    = 1.7;
plotField.Ly    = 1.2;
plotField.Lz    = 1.2;

plotField.nx    = 100;
plotField.ny    = 105;
plotField.nz    = 130;


% ===============================================
%              EXPORTING PARAMETERS
% ===============================================

exportVTK.xmin = -5;
exportVTK.xmax = 5;
exportVTK.ymin = -5;
exportVTK.ymax = 5;
exportVTK.zmin = -5;
exportVTK.zmax = 5;
