%
% Copyright (C) 2015 Stefano Boccelli <dainonottambulo -at- gmail.com>
% 
% This program is part of Qsci, which is free software: 
% you can redistribute it and/or modify it under the terms of 
% the GNU Lesser General Public License as published by the 
% Free Software Foundation (version 3 of the License).
%
% Qsci is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  
% If not, see <http://www.gnu.org/licenses/>.
%






% This is the input file



% ===============================================
%                  SURFACES
% ===============================================


% ---------- Surface 1 ----------
sups(1).type          = 'sphere';
sups(1).Rad           = 0.6;
sups(1).xyz           = [-1,1,1];
sups(1).nth           = 20;
sups(1).nphi          = 40;
sups(1).V             = 5;       % Volts
sups(1).Q             = 0;

% ---------- Surface 2 ----------
sups(2).type          = 'sphere';
sups(2).Rad           = 1.4;
sups(2).xyz           = [-4,2,-1];
sups(2).nth           = 20;
sups(2).nphi          = 40;
sups(2).V             = -5;      % Volts

% ---------- Surface 3 ----------
sups(3).type          = 'cylinder';
sups(3).Rad           = 0.3;
sups(3).Len           = 6;
sups(3).xyz           = [0,-2,-1];
sups(3).nth           = 10;
sups(3).nh            = 40;
sups(3).vers          = [0.7,2,0];
sups(3).V             = 'free';  % Volts
sups(3).Q             = 0;


% ---------- Surface 4 ----------
sups(4).type          = 'plane';
sups(4).x1min         = -5;
sups(4).x1max         = 5;
sups(4).x2min         = -3;
sups(4).x2max         = 4;
sups(4).x3val         = -2;
sups(4).n1            = 60;
sups(4).n2            = 40;
sups(4).orient        = 'yz'; 
sups(4).d_cc          = 0.02;
sups(4).V             = 'free';
sups(4).Q             = 20;   % insert the value Q * epsilon0!

% ---------- Surface 5 ----------
sups(5).type          = 'cone';
sups(5).Rbase         = 0.7;
sups(5).Rtop          = 0.01;
sups(5).Len           = 4;
sups(5).xyz           = [2,1.5,0];
sups(5).nth           = 20;
sups(5).nh            = 80;
sups(5).vers          = [0,0,1];
sups(5).V             = 50;

% ---------- Surface 6 ----------
sups(6).type          = 'line';
sups(6).xyzA          = [2,-2,4];
sups(6).xyzB          = [2,-2,-3];
sups(6).nL            = 50;
sups(6).V             = 0;




% ===============================================
%              PLOTTING PARAMETERS
% ===============================================

sups(1).plot_me_alone = 1;
sups(2).plot_me_alone = 1;
sups(3).plot_me_alone = 1;
sups(4).plot_me_alone = 1;
sups(5).plot_me_alone = 1;
sups(6).plot_me_alone = 1;

sups(1).plot_normals = 1;
sups(3).plot_normals = 1;

plotField.xorig = -4;
plotField.yorig = 2;
plotField.zorig = -1;

plotField.Lx    = 10;
plotField.Ly    = -10;
plotField.Lz    = 5;

plotField.nx    = 100;
plotField.ny    = 105;
plotField.nz    = 130;


% ===============================================
%              EXPORTING PARAMETERS
% ===============================================

exportVTK.xmin = -5;
exportVTK.xmax = 5;
exportVTK.ymin = -5;
exportVTK.ymax = 5;
exportVTK.zmin = -5;
exportVTK.zmax = 5;
