%
% Copyright (C) 2015 Stefano Boccelli <dainonottambulo -at- gmail.com>
% 
% This program is part of Qsci, which is free software: 
% you can redistribute it and/or modify it under the terms of 
% the GNU Lesser General Public License as published by the 
% Free Software Foundation (version 3 of the License).
%
% Qsci is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  
% If not, see <http://www.gnu.org/licenses/>.
%








% This is the input file



% ===============================================
%                  SURFACES
% ===============================================


% ---------- Surface 1 ----------
sups(1).type          = 'sphere';
sups(1).Rad           = 0.6;
sups(1).xyz           = [-1,2,1];
sups(1).nth           = 20;
sups(1).nphi          = 40;
sups(1).V             = 5;       % Volts
sups(1).Q             = 0;


% ---------- Surface 2 ----------
sups(2).type          = 'cylinder';
sups(2).Rad           = 0.3;
sups(2).Len           = 6;
sups(2).xyz           = [0,-2,-1];
sups(2).nth           = 10;
sups(2).nh            = 40;
sups(2).vers          = [0.7,2,0];
sups(2).V             = 'free';  % Volts
sups(2).Q             = 0;


% ---------- Surface 3 ----------
sups(3).type          = 'loop';
sups(3).Rad           = 1;
sups(3).xyz           = [3,-3,-1];
sups(3).nth           = 50;
sups(3).vers          = [0,1,1];
sups(3).V             = -5;



% ===============================================
%              PLOTTING PARAMETERS
% ===============================================

sups(1).plot_me_alone = 1;
sups(2).plot_me_alone = 1;
sups(3).plot_me_alone = 1;

sups(1).plot_normals = 0;
sups(3).plot_normals = 0;

plotField.xorig = -4;
plotField.yorig = 2;
plotField.zorig = -1;

plotField.Lx    = 10;
plotField.Ly    = -10;
plotField.Lz    = 5;

plotField.nx    = 102;
plotField.ny    = 103;
plotField.nz    = 10;

plotField.plotPotential = 1;
plotField.plotElectricField = 0;


% ===============================================
%              CAPACITIVE CALCULATION
% ===============================================

capacityCalc.computeCapacities = 1;


% ===============================================
%              EXPORTING PARAMETERS
% ===============================================

exportVTK.xmin = -5;
exportVTK.xmax = 5;
exportVTK.ymin = -5;
exportVTK.ymax = 5;
exportVTK.zmin = -5;
exportVTK.zmax = 5;
