%
% Copyright (C) 2015 Stefano Boccelli <dainonottambulo -at- gmail.com>
% 
% This program is part of Qsci, which is free software: 
% you can redistribute it and/or modify it under the terms of 
% the GNU Lesser General Public License as published by the 
% Free Software Foundation (version 3 of the License).
%
% Qsci is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  
% If not, see <http://www.gnu.org/licenses/>.
%





% geometry plotter


% Extracting charges and control point positions
% from the totalSups object

rrq = totalSups.rq;
rrc = totalSups.rc;


% ---- Plotting Sources and Control points ----
geo_plot = figure;

plot3(rrq(:,1),rrq(:,2),rrq(:,3), 'og');
hold on
plot3(rrc(:,1),rrc(:,2),rrc(:,3), '*k');

grid on, axis equal
xlabel('X','FontSize',14)
ylabel('Y','FontSize',14)
zlabel('Z','FontSize',14)
title('Charges and Control Points', 'FontSize', 15)

% clearing dangerous variables
clear rrq rrc


% ---- Plotting Normals ----
for jj = 1:numel(sups)
   
   if numel(sups(jj).plot_normals)==1
     
      if sups(jj).plot_normals == 1
         rc = sups(jj).rc;
         nv = sups(jj).nv;
         quiver3(rc(:,1),rc(:,2),rc(:,3),nv(:,1),nv(:,2),nv(:,3),'b')  
      end 
     
   end

end

axis equal

clear rc nv
