%
% Copyright (C) 2015 Stefano Boccelli <dainonottambulo -at- gmail.com>
% 
% This program is part of Qsci, which is free software: 
% you can redistribute it and/or modify it under the terms of 
% the GNU Lesser General Public License as published by the 
% Free Software Foundation (version 3 of the License).
%
% Qsci is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  
% If not, see <http://www.gnu.org/licenses/>.
%





% input filler



% ===============================================
% =====   Potential and Charge ==================
% ===============================================

% This part assigns a value for potential or charge
% to not-so-properly-set surfaces

for kk = 1:numel(sups)


   % Assigning 'free' value to potential if not set
   try
      sups(kk).V;
      if numel(sups(kk).V) == 0
         sups(kk).V = 'free';
      end
      
%      % Checks if you tried to impose the total charge too
%      % and alerts that it's no use: Voltage wins.
%      
%      if isnumeric(sups(kk).V)
%      
%         try
%	    sups(kk).Q
%	    fprintf('You imposed both total charge and voltage ')
%	    fprintf('on surface number %d. ',kk)
%	    fprintf('I will ignore the latter.\n')
%	 catch
%	    continue
%	 end
%      
%      end
      
   catch
      sups(kk).V = 'free';
   end



   % Assigning a null charge if nothing was set.
   try
      sups(kk).Q;
      if numel(sups(kk).Q) == 0
         sups(kk).Q = 0;
      end
 
   catch
      sups(kk).Q = 0;
   end



end





% ===============================================
% ====== Plot properties ========================
% ===============================================

% Plotting POTENTIAL:
% if not asket, plotField.plotPotential is set to 0

try
   plotField.plotPotential;
catch
   plotField.plotPotential = 0;
end


% Plotting ELECTRIC FIELD
% if not asket, plotField.plotElectricField is set to 0

try
   plotField.plotElectricField;
catch
   plotField.plotElectricField = 0;
end





% ===============================================
% ====== Export properties ======================
% ===============================================

% POVray exporting POTENTIAL:
% if not asket, exportPOVray.plotPotential is set to 0

try
   exportPOVray.exportPotential;
catch
   exportPOVray.exportPotential = 0;
end


% POVray exporting ELECTRIC FIELD
% if not asket, exportPOVray.plotElectricField is set to 0

try
   exportPOVray.exportElectricField;
catch
   exportPOVray.exportElectricField = 0;
end


% showing results!
% This launches POVray and shows results using feh.

try
   exportPOVray.showMeResults;
catch
   exportPOVray.showMeResults = 0;
end


% Exporting Geometry
try 
   exportPOVray.exportGeo;
catch
   exportPOVray.exportGeo = 0;
end



% ===============================================
% ====== Capacity Calculator ====================
% ===============================================

% Set capacityCalc.computeCapacities to zero if never 
% set in INPUT file

try
   capacityCalc.computeCapacities;
catch
   capacityCalc.computeCapacities = 0;
end
