%
% Copyright (C) 2015 Stefano Boccelli <dainonottambulo -at- gmail.com>
% 
% This program is part of Qsci, which is free software: 
% you can redistribute it and/or modify it under the terms of 
% the GNU Lesser General Public License as published by the 
% Free Software Foundation (version 3 of the License).
%
% Qsci is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  
% If not, see <http://www.gnu.org/licenses/>.
%



% This file exports in VTK format for ParaView postprocessing

xx = XX3;
yy = YY3;
zz = zeros(size(XX3));

N_nodes = numel(xx);




FileName = 'ProvaVTK.vtk';
fid = fopen(FileName,'w');

% Preambole
fprintf(fid,'# vtk DataFile Version 2.0\n');
fprintf(fid,'%s, Created by Qsci\n', FileName);
fprintf(fid,'ASCII\nDATASET UNSTRUCTURED_GRID\n');


% Copying all the points (X Y Z format)
fprintf(fid,'POINTS %d float\n',N_nodes);

for ii = 1:N_nodes
   fprintf(fid,'%f %f %f\n',xx(ii),yy(ii),zz(ii)); % X Y Z



%fprintf(outfile,'POINTS %d float\n',ms->n_nodes);

%for (i=0;i<ms->n_nodes;i++)
%{
%   fprintf(outfile,'%f %f %f\n',ms->nodes(i,0),ms->nodes(i,1),ms->nodes(i,2)); % X Y Z
% }




% Now copying cells, that is the number of nodes for any 
% element type (only quad in this case)
% Remember that ParaView enumerates nodes starting from ZERO,
% not from one! 
fprintf(fid,'\nCELLS %d\n', )

% copia tutte le CELLS (ovvero numero di nodi per elemento 
% ed elenco dei nodi)
% Attenzione: i nodi per paraview partono da zero e 
% non da uno, necessario shift!!!

fprintf(outfile,'\nCELLS %d %d\n',ms->n_elements,2*ms->elements_type[0]+3*ms->elements_type[1]+ms->n_elements);

% elementi linea
for (i=0;i<ms->elements_type[0];i++)
  {
	fprintf(outfile,'%d %d %d\n',2,ms->elements_1(i,3)-1,ms->elements_1(i,4)-1);	// occhio allo shift
  }


% elementi triangolo
for (i=0;i<ms->elements_type[1];i++)
{
   fprintf(outfile,'%d %d %d %d\n',3,ms->elements_2(i,3)-1,ms->elements_2(i,4)-1,ms->elements_2(i,5)-1);	
}

