%
% Copyright (C) 2015 Stefano Boccelli <dainonottambulo -at- gmail.com>
% 
% This program is part of Qsci, which is free software: 
% you can redistribute it and/or modify it under the terms of 
% the GNU Lesser General Public License as published by the 
% Free Software Foundation (version 3 of the License).
%
% Qsci is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  
% If not, see <http://www.gnu.org/licenses/>.
%


% If asked, exports results in POVray format
if exportPOVray.exportPotential == 1

   if plotField.plotPotential == 1
      POVray_export(YY1,ZZ1,VV1,'POVpotential1.pov');    
      POVray_export(XX2,ZZ2,VV2,'POVpotential2.pov');  
      POVray_export(XX3,YY3,VV3,'POVpotential3.pov');
   else
      fprintf('ERROR! In order to export potential, you must ');
      fprintf('calculate it first!\n');
      fprintf('Put plotField.plotPotential = 1 into ');
      fprintf('INPUT.m file!\n');      
      fprintf('NOW FORCING exportPOVray.exportPotential ');
      fprintf('TO VALUE 0 !!');
      exportPOVray.exportPotential = 0;
   end
end

if exportPOVray.exportElectricField == 1

   if plotField.plotElectricField == 1
      POVray_export(YY1,ZZ1,EE1,'POVelfield1.pov');    
      POVray_export(XX2,ZZ2,EE2,'POVelfield2.pov');  
      POVray_export(XX3,YY3,EE3,'POVelfield3.pov');
   else
      fprintf('ERROR! In order to export electric field, ');
      fprintf(' you must calculate it first!\n');
      fprintf('Put plotField.plotElectricField = 1 into ');
      fprintf('INPUT.m file!\n');
      fprintf('NOW FORCING exportPOVray.exportElectricField ');
      fprintf('TO VALUE 0 !!');
      exportPOVray.exportElectricField = 0;
   end
   
end


% If asked, launches POVray and plots results
if exportPOVray.showMeResults == 1

   % Potential?
   if exportPOVray.exportPotential == 1
      system('povray POVpotential1.pov');
      system('povray POVpotential2.pov');
      system('povray POVpotential3.pov');
      
      system('feh POVpotential1.png');
      system('feh POVpotential2.png');
      system('feh POVpotential3.png');
   end
   
   % Electric Field?
   if exportPOVray.exportElectricField == 1
      system('povray POVelfield1.pov');
      system('povray POVelfield2.pov');
      system('povray POVelfield3.pov');
      
      system('feh POVelfield1.png');
      system('feh POVelfield2.png');
      system('feh POVelfield3.png');
   end
   
end


% If asked, exports geometry
if exportPOVray.exportGeo == 1
   POVray_geo_export
end
